%define base_name       cryptix
%define name		%{base_name}-pgp
%define version		3.2.0
%define release		3jpp
%define snapshot	20001002
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        Java crypto package PGP plugin
License:        BSD style
Group:		Security/Cryptography
Url:            http://www.cryptix.org
Vendor:		JPackage Project
Distribution:	JPackage
Source0:        %{base_name}32-%{snapshot}-r%{version}-pgp.zip
Source1:        %{name}-build.xml
Requires:       %{base_name} = %{version}
BuildRequires:  ant
BuildRequires:  %{base_name} = %{version}
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains the PGP plugin for Cryptix.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c
install -m 644 %{SOURCE1} build.xml
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# correct silly permissions
chmod -R go=u-w *

%build
export CLASSPATH=%(build-classpath cryptix.jar)
ant jar
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENCE.TXT README.TXT
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:3.2.0-3jpp
- update for JPackage 1.5

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-2jpp
- vendor, distribution, group tags
- versioned dir for javadoc

* Fri Dec 14 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-1jpp
- first JPackage release
